summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-misc/hal-info/hal-info-99999999.ebuild6
-rw-r--r--sys-apps/hal/hal-9999.ebuild33
-rw-r--r--sys-fs/e2fsprogs/e2fsprogs-9999.ebuild2
3 files changed, 22 insertions, 19 deletions
diff --git a/app-misc/hal-info/hal-info-99999999.ebuild b/app-misc/hal-info/hal-info-99999999.ebuild
index 2826f14..fcac7c3 100644
--- a/app-misc/hal-info/hal-info-99999999.ebuild
+++ b/app-misc/hal-info/hal-info-99999999.ebuild
@@ -2,11 +2,13 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/hal-info/hal-info-20090414.ebuild,v 1.1 2009/04/18 17:41:28 eva Exp $
-inherit eutils
+inherit eutils git
DESCRIPTION="The fdi scripts that HAL uses"
HOMEPAGE="http://hal.freedesktop.org/"
-SRC_URI="http://hal.freedesktop.org/releases/${P}.tar.gz"
+SRC_URI=""
+EGIT_REPO_URI="git://git.freedesktop.org/git/hal-info"
+EGIT_BOOTSTRAP="./autogen.sh"
LICENSE="GPL-2"
SLOT="0"
diff --git a/sys-apps/hal/hal-9999.ebuild b/sys-apps/hal/hal-9999.ebuild
index 8e31d2c..5b82c97 100644
--- a/sys-apps/hal/hal-9999.ebuild
+++ b/sys-apps/hal/hal-9999.ebuild
@@ -29,6 +29,7 @@ RDEPEND=">=dev-libs/dbus-glib-0.61
>=dev-util/gperf-3.0.3
sys-apps/usbutils
virtual/eject
+ =sys-fs/e2fsprogs-9999
amd64? ( >=sys-apps/dmidecode-2.7 )
dell? ( >=sys-libs/libsmbios-0.13.4 )
disk-partition? ( >=sys-apps/parted-1.8.0 )
@@ -135,7 +136,7 @@ src_unpack() {
# epatch "${FILESDIR}"/hal-0.5.11-ppc64.patch
-# eautoreconf
+ eautoreconf
}
src_compile() {
@@ -188,21 +189,21 @@ src_compile() {
hardware="$hardware --disable-sonypic"
fi
- ./autogen.sh --with-backend=${backend} \
- --with-os-type=gentoo \
- --with-pid-file=/var/run/hald.pid \
- --with-hwdata=/usr/share/misc \
- --with-socket-dir=/var/run/hald \
- --enable-umount-helper \
- $(use_enable apm) \
- $(use_enable debug verbose-mode) \
- $(use_enable disk-partition parted) \
- $(use_enable doc docbook-docs) \
- $(use_enable doc gtk-doc) \
- --docdir=/usr/share/doc/${PF} \
- --localstatedir=/var \
- ${acpi} ${hardware} \
- || die "configure failed"
+# ./autogen.sh --with-backend=${backend} \
+# --with-os-type=gentoo \
+# --with-pid-file=/var/run/hald.pid \
+# --with-hwdata=/usr/share/misc \
+# --with-socket-dir=/var/run/hald \
+# --enable-umount-helper \
+# $(use_enable apm) \
+# $(use_enable debug verbose-mode) \
+# $(use_enable disk-partition parted) \
+# $(use_enable doc docbook-docs) \
+# $(use_enable doc gtk-doc) \
+# --docdir=/usr/share/doc/${PF} \
+# --localstatedir=/var \
+# ${acpi} ${hardware} \
+# || die "configure failed"
econf --with-os-type=gentoo \
--with-pid-file=/var/run/hald.pid \
--with-socket-dir=/var/run/hald \
diff --git a/sys-fs/e2fsprogs/e2fsprogs-9999.ebuild b/sys-fs/e2fsprogs/e2fsprogs-9999.ebuild
index a73aad6..8e47475 100644
--- a/sys-fs/e2fsprogs/e2fsprogs-9999.ebuild
+++ b/sys-fs/e2fsprogs/e2fsprogs-9999.ebuild
@@ -98,7 +98,7 @@ pkg_preinst() {
}
src_install() {
- emake LDCONFIG=true STRIP=: DESTDIR="${D}" install install-libs
+ emake LDCONFIG=true STRIP=: DESTDIR="${D}" install install-libs
dodoc README RELEASE-NOTES
# Move shared libraries to /lib/, install static libraries to /usr/lib/,